Ħarsa ġenerali lejn iċ-ċavetta
| Verżjoni taċ-ċavetta | V4 |
|---|---|
| Speċifikazzjoni | RFC 2440 · RFC 4880 · RFC 9580 |
| Stat | Kompatibbli, iżda deprekata minn RFC 9580 |
| Ċavetta primarja (ċertifikazzjoni, iffirmar) | EdDSALegacy (Ed25519) · ID 22 |
| Subċavetta għall-kriptaġġ | ECDH Curve25519Legacy · ID 18 |
| Marka diġitali | 3B0E8B81143420937B4271BE2736B97A8A635CE3 |
| Frażi sigrieta taċ-ċavetta privata | synthetic-key-password |
Algoritmi u użu
EdDSALegacy (Ed25519): Firma fuq kurva Edwards bl-użu ta’ Curve25519: żgħira, veloċi u appoġġjata ħafna. Użaha għall-iffirmar u l-awtentikazzjoni.
ECDH Curve25519Legacy: Ftehim taċ-ċwievet Diffie-Hellman fuq kurva ellittika bl-użu ta’ Curve25519, l-aktar subċavetta moderna għall-kriptaġġ appoġġjata.
Ċavetta pubblika
Iċ-ċertifikat pubbliku biċ-ċavetta primarja, is-subċavetta għall-kriptaġġ u l-firem li jorbtuhom. Importah biex tivverifika firem jew tikkripta għal din l-identità ta’ prova.
Niżżel → 640 bytes
-----BEGIN PGP PUBLIC KEY BLOCK-----
xjMEavCjuhYJKwYBBAHaRw8BAQdAh4cOlK9wDB1pIpGW0Qp4MhJmo+UzULves4Is
LdCynznNJENILUogbWF0cml4IDIwLXY0LWVkMjU1MTkrY3VydmUyNTUxOcKMBBMW
CAA0BQJq8KO6FiEEOw6LgRQ0IJN7QnG+Jza5eopjXOMCGwMCHgEDCwkHARUBFgUn
CQIHAgIZAQAKCRAnNrl6imNc4wqUAQCBKFih60cA7ITxA5qxtScxu0pCjmvrE61q
PlkEoAxZHQD9FXwei0IzuafTIsTsFEeJ0sBiY/6SaV9Vh1d139ROOATOOARq8KO6
EgorBgEEAZdVAQUBAQdAy7K0sQ/PbO4gwvliZyKVI1JIpC+0i+TLZVhVwpeMWGkD
AQgHwngEGBYIACAFAmrwo7oWIQQ7DouBFDQgk3tCcb4nNrl6imNc4wIbDAAKCRAn
Nrl6imNc483MAPwMu8m3UYaE0r406U4FOo+CWjiqf9ufl0h/j9YYjNvrJwD+Lr7j
Ww6BUUAfJ9inxUNPryC3/u4/F4ana0hmgWaVNgQ=
=BptK
-----END PGP PUBLIC KEY BLOCK-----
Ċavetta privata
Iċ-ċavetta privata, protetta bil-frażi sigrieta murija hawn fuq. Ippubblikata għall-ittestjar biss: kulħadd jista’ jużaha.
Niżżel → 866 bytes
Uri
-----BEGIN PGP PRIVATE KEY BLOCK-----
xYYEavCjuhYJKwYBBAHaRw8BAQdAh4cOlK9wDB1pIpGW0Qp4MhJmo+UzULves4Is
LdCynzn+CQMIesIdltY70HfgRiexew6b/bzR4PxU+f3GrizlomBUOon7GitxsW8z
ieHsOANDoad6YQHBduIGNWX0/0P7RoKYEjQnoZjQ3T3RrGpFL97JZ80kQ0gtSiBt
YXRyaXggMjAtdjQtZWQyNTUxOStjdXJ2ZTI1NTE5wowEExYIADQFAmrwo7oWIQQ7
DouBFDQgk3tCcb4nNrl6imNc4wIbAwIeAQMLCQcBFQEWBScJAgcCAhkBAAoJECc2
uXqKY1zjCpQBAIEoWKHrRwDshPEDmrG1JzG7SkKOa+sTrWo+WQSgDFkdAP0VfB6L
QjO5p9MixOwUR4nSwGJj/pJpX1WHV3Xf1E44BMeLBGrwo7oSCisGAQQBl1UBBQEB
B0DLsrSxD89s7iDC+WJnIpUjUkikL7SL5MtlWFXCl4xYaQMBCAf+CQMIlh6iccCY
vjzg5Z8Mpwetqk4HIG6xsyhBwhQj/P9ZKUScJlWYMRYn5FcqLL8vKT+ovZJlVMMm
mLMNLZh6CB7UuYKZ9cpWfka4B2th8gcId8J4BBgWCAAgBQJq8KO6FiEEOw6LgRQ0
IJN7QnG+Jza5eopjXOMCGwwACgkQJza5eopjXOPNzAD8DLvJt1GGhNK+NOlOBTqP
glo4qn/bn5dIf4/WGIzb6ycA/i6+41sOgVFAHyfYp8VDT68gt/7uPxeGp2tIZoFm
lTYE
=iQ1N
-----END PGP PRIVATE KEY BLOCK-----
Ċertifikat ta’ revoka
Ċertifikat ta’ revoka ġġenerat minn qabel. Meta timportah, iċ-ċavetta tiġi mmarkata bħala revokata; huwa ppubblikat biex tkun tista’ tittestja kif is-software jimmaniġġja ċwievet revokati.
Niżżel → 803 bytes
Uri
-----BEGIN PGP PUBLIC KEY BLOCK-----
xjMEavCjuhYJKwYBBAHaRw8BAQdAh4cOlK9wDB1pIpGW0Qp4MhJmo+UzULves4Is
LdCynznCdQQgFggAHQUCavCjuhYhBDsOi4EUNCCTe0Jxvic2uXqKY1zjAAoJECc2
uXqKY1zjFb8A/2IT7zl0oufrZeBE6CNGGZ6dkEiOuO4PoyBskeTNS+FbAQCgHgHG
l7tyVN9g63RINWLRZ9K0DpakXAEpnuxn4Pz3DM0kQ0gtSiBtYXRyaXggMjAtdjQt
ZWQyNTUxOStjdXJ2ZTI1NTE5wowEExYIADQFAmrwo7oWIQQ7DouBFDQgk3tCcb4n
Nrl6imNc4wIbAwIeAQMLCQcBFQEWBScJAgcCAhkBAAoJECc2uXqKY1zjCpQBAIEo
WKHrRwDshPEDmrG1JzG7SkKOa+sTrWo+WQSgDFkdAP0VfB6LQjO5p9MixOwUR4nS
wGJj/pJpX1WHV3Xf1E44BM44BGrwo7oSCisGAQQBl1UBBQEBB0DLsrSxD89s7iDC
+WJnIpUjUkikL7SL5MtlWFXCl4xYaQMBCAfCeAQYFggAIAUCavCjuhYhBDsOi4EU
NCCTe0Jxvic2uXqKY1zjAhsMAAoJECc2uXqKY1zjzcwA/Ay7ybdRhoTSvjTpTgU6
j4JaOKp/25+XSH+P1hiM2+snAP4uvuNbDoFRQB8n2KfFQ0+vILf+7j8XhqdrSGaB
ZpU2BA==
=T7pt
-----END PGP PUBLIC KEY BLOCK-----
Firma ta’ test_1MB.bin
Firma separata ta’ test_1MB.bin f’format ASCII armor, magħmula b’din iċ-ċavetta f’CH-J Tools. Issejvjaha bħala test_1MB.bin.asc ħdejn il-fajl ta’ prova.
Niżżel → 228 bytes
-----BEGIN PGP SIGNATURE-----
wnUEABYIAB0WIQQ7DouBFDQgk3tCcb4nNrl6imNc4wUCaveO8QAKCRAnNrl6imNc
4xo3APsFLyHsiqwlLqkg362pUlLa8hM/GKZeo6dhOoN6WoiqygEA1hA1voS6K5Fz
M9XJ6XFs+OXv1tQNuKm1BonctfvJ+AU=
=BcMS
-----END PGP SIGNATURE-----
Ivverifika l-firma
Iċ-ċwievet tal-verżjoni 4 jaħdmu ma’ GnuPG u ma’ għodod SOP bħal sqop jew rsop, sakemm l-algoritmi jkunu appoġġjati. Uża GNUPGHOME temporanju sabiex iċ-ċavetta ta’ prova ma tidħolx fil-ġabra taċ-ċwievet reali tiegħek:
gpg --import pgp-example-20-public.asc
gpg --verify test_1MB.bin.asc test_1MB.bin